Bug 873065 - fedup should remove "System Upgrade" from grub before rebooting at end of upgrade
Summary: fedup should remove "System Upgrade" from grub before rebooting at end of upg...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedup
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-05 03:06 UTC by Jens Petersen
Modified: 2013-01-16 08:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-03 07:26:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2012-11-05 03:06:27 UTC
Description of problem:
Fedup should remove "System Upgrade" from grub after upgrade completes
(or at least not make it the grub default), otherwise grub loops
into System Upgrade a second time (though it seemed to hang on
the Hot Dog screen after the second upgrade for me).

Version-Release number of selected component (if applicable):
f0244906c6 (current github head)

Steps to Reproduce:
1. fedup minimal+base f17 to f18
  
Actual results:
1. System Upgrade completed, rebooting grub started System Upgrade
again by default, second upgrade seemed to hang at the end
otherwise unattended it would loop forever.

Expected results:
1. After Upgrade, reboot into upgraded system.
If the upgrade is successful then best to remove the upgrade
entry from grub I think.

Comment 1 Jens Petersen 2012-11-05 09:10:24 UTC
FWIW the looping doesn't seem to happen if I more than one kernel installed before upgrading.

Comment 2 Fedora Update System 2012-12-21 04:49:33 UTC
fedup-0.7.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedup-0.7.2-1.fc17

Comment 3 Fedora Update System 2012-12-21 12:10:09 UTC
Package fedup-0.7.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.7.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20801/fedup-0.7.2-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-03 07:26:49 UTC
fedup-0.7.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Richard Schwarting 2013-01-11 21:55:35 UTC
Is it supposed to still leave a "Fedora" boot option trying to load "vmlinuz-fedup" as the default?  If so, it leaves me with a 3.6.6 kernel that without many drivers (like wireless).  Perhaps I messed up something?  I can always edit my grub configuration manually, but in theory fedup should leave me with the newer kernel.

Comment 6 Resa Drijsen 2013-01-15 20:08:36 UTC
(In reply to comment #5)
> Is it supposed to still leave a "Fedora" boot option trying to load
> "vmlinuz-fedup" as the default?  If so, it leaves me with a 3.6.6 kernel
> that without many drivers (like wireless).  Perhaps I messed up something? 
> I can always edit my grub configuration manually, but in theory fedup should
> leave me with the newer kernel.

I encountered the same issue. Now each time have to pick the advanced option and then choose for the F18 kernel which I think is not most user friendly. 

As a workaround my questions:
1. Is there a way to get the "old" menu (with just the kernels) back? Can this be done by a command?
2. As the poster in comment 5 I like to recommend removal of the default loading of vmlinuz-fedup unless it loads the most recent kernel
3. Is there a way to remove the vmlinuz-fedup entry besides editing the grub.cfg entry?

Comment 7 Resa Drijsen 2013-01-16 08:39:00 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Is it supposed to still leave a "Fedora" boot option trying to load
> > "vmlinuz-fedup" as the default?  If so, it leaves me with a 3.6.6 kernel
> > that without many drivers (like wireless).  Perhaps I messed up something? 
> > I can always edit my grub configuration manually, but in theory fedup should
> > leave me with the newer kernel.
> 
> I encountered the same issue. Now each time have to pick the advanced option
> and then choose for the F18 kernel which I think is not most user friendly. 
> 
> As a workaround my questions:
> 1. Is there a way to get the "old" menu (with just the kernels) back? Can
> this be done by a command?
> 2. As the poster in comment 5 I like to recommend removal of the default
> loading of vmlinuz-fedup unless it loads the most recent kernel
> 3. Is there a way to remove the vmlinuz-fedup entry besides editing the
> grub.cfg entry?

Sorry for my previous entry. I have now found Bug #893175 which more accurately describes my issue. My questions have been answered.


Note You need to log in before you can comment on or make changes to this bug.